Robotsystem from Robot Group Leipzig: BallJoint Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# BallJoint Class Reference

`#include <joint.h>`

Inheritance diagram for BallJoint:

[legend]
Collaboration diagram for BallJoint:

[legend]
List of all members.

## Detailed Description

Definition at line 245 of file joint.h.

## Public Member Functions
| BallJoint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor)
virtual | ~BallJoint ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool withVisual=true, double visualSize=0.2)
| initialises (and creates) the joint.
virtual void | update ()
| should syncronise the Ode stuff and the OSG notes (if any)
virtual void | setParam (int parameter, double value)
| sets the ODE joint parameter (see ODE manual)
virtual double | getParam (int parameter)
| return the ODE joint parameter (see ODE manual)
## Protected Attributes
OSGPrimitive * | visual

## Constructor & Destructor Documentation

BallJoint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor
| ) |

| Definition at line 335 of file joint.cpp.

~BallJoint | ( |  | ) | `[virtual]`

| Definition at line 340 of file joint.cpp.

## Member Function Documentation

double getParam | ( | int | parameter | ) | `[virtual]`

| return the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 370 of file joint.cpp.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.2`
| ) | `[virtual]`

| initialises (and creates) the joint. If visual is true then ball is drawn as a sphere with radius of visualSize. Implements Joint. Definition at line 344 of file joint.cpp.

void setParam | ( | int | parameter,
|  | double | value
| ) | `[virtual]`

| sets the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 368 of file joint.cpp.

void update | ( |  | ) | `[virtual]`

| should syncronise the Ode stuff and the OSG notes (if any) Implements Joint. Definition at line 356 of file joint.cpp.

## Member Data Documentation

OSGPrimitive* visual`[protected]`

| Definition at line 264 of file joint.h.